%global gslibdir %{_libdir}/GNUstep/Libraries

%define gnustepbase_major 1.24
%define libgnustepbase %mklibname gnustep-base  %gnustepbase_major


Name:		gnustep-base
Version:	1.24.8
Release:	%mkrel 4
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		Development/Other
Summary:	GNUstep Base library package
URL:		http://www.gnustep.org/
Source:		ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz

BuildRequires:	gcc-objc
BuildRequires:	libffi-devel
BuildRequires:	gnutls-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
# To avoid issues with x86_64 architectures
# 2.6.4-4 is required for rpm macros
BuildRequires:	gnustep-make >= 2.6.4-13
BuildRequires:	avahi-compat-libdns_sd-devel
BuildRequires:	gmp-devel
BuildRequires:	texi2html
BuildRequires:	texinfo-tex
BuildRequires:	libicu-devel

Conflicts:	libFoundation

%description
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.

#Library combo is %{libcombo}.

%package -n %libgnustepbase
Summary:        GNUStep Base Libraries
Group:          Development/Other
Obsoletes:      %{_lib}gnustep-base1 < 1.24.4-10

%description -n %libgnustepbase
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.


This packages contains the run-time libraries for %{name}

%package devel
Summary:	Header of the GNUstep Base library packes
Group:		Development/Other
Requires:	%libgnustepbase = %{version}-%{release}
Requires:	gnustep-make >= 2.6.4-13
Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info

%description devel
This package contains the header files of the gnustep-base package.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description doc
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.


This package contains the documentation for %{name}

%prep
%setup -q
%autopatch -p1

iconv -f iso-8859-1 -t utf-8 ChangeLog.2 -o ChangeLog.2.utf8
mv ChangeLog.2.utf8 ChangeLog.2

%build
autoreconf -fi
ffi_include=$(pkg-config --cflags-only-I libffi | sed -e 's/^\-\I//')
%gnustep_configure --disable-ffcall --with-ffi-include=$ffi_include

%gnustep_make -n

%install
%gnustep_install -n

# Rename pl to pllist to fix naming conflict
mv ${RPM_BUILD_ROOT}%{_bindir}/pl ${RPM_BUILD_ROOT}%{_bindir}/pllist

rm -f Examples/.cvsignore
rm -f Examples/.gdbinit

# We need a modified GNUstep.conf, because the DTDs are install not
# on there real destination

sed -e "s|GNUSTEP_SYSTEM_LIBRARY=|GNUSTEP_SYSTEM_LIBRARY=$RPM_BUILD_ROOT|" \
    -e "s|GNUSTEP_SYSTEM_HEADERS=|GNUSTEP_SYSTEM_HEADERS=$RPM_BUILD_ROOT|" \
    %{_sysconfdir}/GNUstep/GNUstep.conf >GNUstep.conf

export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}
export GNUSTEP_CONFIG_FILE=$(pwd)/GNUstep.conf

%gnustep_makedoc

%gnustep_installdoc

%files
%{_bindir}/HTMLLinker
%{_bindir}/autogsdoc
%{_bindir}/cvtenc
%{_bindir}/defaults
%{_bindir}/gdnc
%{_bindir}/gdomap
%{_bindir}/gspath
%{_bindir}/make_strings
%{_bindir}/pl2link
%{_bindir}/pldes
%{_bindir}/plget
%{_bindir}/pllist
%{_bindir}/plmerge
%{_bindir}/plparse
%{_bindir}/plser
%{_bindir}/sfparse
%{_bindir}/xmlparse
%{_mandir}/man1/*
%{_mandir}/man8/*
%{gnustep_dtddir}/

%doc ANNOUNCE ChangeLog* COPYING* NEWS README

%files -n %libgnustepbase
%{gnustep_libraries}/
%{_libdir}/libgnustep-base.so.%gnustepbase_major
%{_libdir}/libgnustep-base.so.%gnustepbase_major.*

%doc COPYING*

%files devel
%{_includedir}/Foundation/
%{_includedir}/GNUstepBase/
%{_includedir}/gnustep/
%{_libdir}/libgnustep-base.so
%{gnustep_additional}/base.make
%doc Examples

%files doc
%{_infodir}/*
%_datadir/GNUstep/Documentation/


%changelog
* Mon Mar 20 2017 akien <akien> 1.24.8-4.mga6
+ Revision: 1093676
- Rebuild for icu 58.2

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.24.8-3.mga6
+ Revision: 1092699
- Rebuild for icu-58.2

* Fri May 13 2016 shlomif <shlomif> 1.24.8-2.mga6
+ Revision: 1015043
- Rebuild due to the new ICU

* Tue Jan 26 2016 fwang <fwang> 1.24.8-1.mga6
+ Revision: 927807
- force reconf
- 1.24.8

  + luigiwalser <luigiwalser>
    - rebuild for gnutls
    - rebuild for icu

* Fri Jul 24 2015 cjw <cjw> 1.24.7-5.mga6
+ Revision: 856852
- rebuild for icu 55

* Thu Jul 09 2015 neoclust <neoclust> 1.24.7-4.mga6
+ Revision: 853009
- New version

* Sun Jan 04 2015 neoclust <neoclust> 1.24.6-4.mga5
+ Revision: 808406
- Add P0 to fix CVE-2014-2980

* Wed Oct 15 2014 umeabot <umeabot> 1.24.6-3.mga5
+ Revision: 745751
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - 1.24.6

* Sat Apr 05 2014 wally <wally> 1.24.4-10.mga5
+ Revision: 611874
- fix lib pkg name
- rebuild for new icu

* Fri Feb 07 2014 neoclust <neoclust> 1.24.4-9.mga5
+ Revision: 585150
- FIx Requires

* Fri Feb 07 2014 neoclust <neoclust> 1.24.4-8.mga5
+ Revision: 585009
- imported package gnustep-base

